Summary: Daemon that saves firewall packets.
Name: fwdumpd
Version: 1.00
Release: 3i
Copyright: GPL
Group: System Environment/Daemons
Source: http://indev.insu.com/sources/%{name}-%{version}.tar.gz
URL: http://indev.insu.com/fwdumpd/
BuildRoot: /var/tmp/%{name}-%{version}-root
Prereq: /sbin/chkconfig

%description
fwdumpd is a daemon which writes the packets marked for
outputs to use space (usually using the -o of ipchains) to a binary
capture file compatible with the tcpdump program and several other
analysis programs.


%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
rm -fr $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/{sbin,man/man8}
make install PREFIX=$RPM_BUILD_ROOT/usr

mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
install -m 750 fwdumpd.init $RPM_BUILD_ROOT/etc/rc.d/init.d/fwdumpd

mkdir -p $RPM_BUILD_ROOT/etc/logrotate.d
install -m 640 fwdumpd.logrotate $RPM_BUILD_ROOT/etc/logrotate.d/fwdumpd

%clean
rm -fr $RPM_BUILD_ROOT

%post 
/sbin/chkconfig --add fwdumpd

%preun
if [ $1 -eq 0 ]; then
    /sbin/chkconfig --del fwdumpd

fi

%files
%defattr(-,root,root)
/usr/sbin/fwdumpd
/usr/man/man8/fwdumpd.8
%config /etc/rc.d/init.d/fwdumpd
%config /etc/logrotate.d/fwdumpd

%changelog
* Mon Feb 07 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [1.00-3i]
- Fixed typos in logrotate script.

* Mon Jan 31 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [1.00-2i]
- Added logrotate config file.

* Sun Jan 30 2000  Francis J. Lacoste <francis.lacoste@iNsu.COM> 
  [1.00-1i]
- Packaged for iNs/linux.
